curl --request POST \
--url https://api.getsly.ai/v1/v1/wallets/{id}/withdraw \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"destination_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination_address": "<string>",
"currency": "<string>",
"idempotency_key": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_type": "account",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"balance_available": "<string>",
"balance_pending": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"network": "<string>",
"address": "<string>",
"name": "<string>",
"metadata": {},
"frozen_at": "2023-11-07T05:31:56Z",
"frozen_reason": "<string>"
},
"transfer_id": "<string>"
}Move funds out — to another Sly wallet (internal) or an on-chain address (external). For large amounts may trigger compliance hold.
curl --request POST \
--url https://api.getsly.ai/v1/v1/wallets/{id}/withdraw \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"destination_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination_address": "<string>",
"currency": "<string>",
"idempotency_key": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_type": "account",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"balance_available": "<string>",
"balance_pending": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"network": "<string>",
"address": "<string>",
"name": "<string>",
"metadata": {},
"frozen_at": "2023-11-07T05:31:56Z",
"frozen_reason": "<string>"
},
"transfer_id": "<string>"
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).